/* 
Copyright 2011 - 2016 Abaco Systems, Inc.

modification history
--------------------
09/20/2011 Initial release.
08/06/2012 Updated for 1553 API version 8.02
05/12/2016 Renaming all things to generic corp references

DESCRIPTION

This file contains descriptions for the Abaco Systems PMC/XMC avionics board installation

*/

Folder FOLDER_AVIO_VXB {
       NAME        Abaco Systems VxBus Driver for Avionics Boards
       _CHILDREN   FOLDER_HARDWARE
       CHILDREN    INCLUDE_AVIO_DRV 
       DEFAULTS    INCLUDE_AVIO_DRV
}

Component INCLUDE_AVIO_DRV {
        NAME          Abaco Systems VxBus Avionics Driver
        SYNOPSIS      Include this option to add the VxBus driver for Avionics I/O boards
        SOURCE        $(WIND_BASE)/target/3rdparty/abaco/avioVxwDrv
        CONFIGLETTES  avioVxwDrv.c
        HDR_FILES     avioVxwDrv.h
        PROTOTYPE     void avioDrvRegister(void);
        REQUIRES      INCLUDE_VXBUS 
        CFG_PARAMS    AVIO_DEBUG \
                      VXW_PCI_PPC
        INIT_RTN      avioDrvRegister();
        INIT_AFTER    INCLUDE_PCI_BUS
        _INIT_ORDER   usrIosCoreInit
}

Parameter AVIO_DEBUG {
        NAME          Debug Print Options: TRUE=print-on - FALSE=print-off
        TYPE          exists
        DEFAULT       FALSE
        SYNOPSIS      Setting this TRUE provides debug prints during boot and initialization. If TRUE run avioDrvRegister2 from the command line to install driver.
}

Parameter VXW_PCI_PPC {
        NAME          Enable big endian to little endian conversion
        TYPE          exists
        DEFAULT       FALSE
        SYNOPSIS      Enabling selects endian conversion for PPC processors
}
