/* 
Copyright 2016 Abaco Systems, Inc.

modification history
--------------------
10 Mar 2008     Create VxWorks 5.5 version
02 Sep 2016     Rebranded

DESCRIPTION

This file contains descriptions for the Abaco Systems PCI/PMC installation


*/

Folder FOLDER_AVIO_PPC {
       NAME        Abaco Systems Avionics Board Installation
       _CHILDREN   FOLDER_HARDWARE
       CHILDREN    INCLUDE_AVIO_PCI_MAP \
                   INCLUDE_AVIO_PCI_INSTALL
       DEFAULTS    INCLUDE_AVIO_PCI_MAP \
                   INCLUDE_AVIO_PCI_INSTALL
}

Component INCLUDE_AVIO_PCI_MAP {
        NAME          Abaco Systems Avionics Kernel Module Mapping
        SYNOPSIS      Include this option to use Kernel Module mapping for Abaco Systems Avionics Boards
        HDR_FILES     lowlevel.h \
                      CondorVXWRTPDrv.h \
                      ./drv/pci/pciConfigLib.h
        CONFIGLETTES  CondorVxWRTPDrv.c
        REQUIRES      INCLUDE_PCI_PARAMS
        CFG_PARAMS    VXW_PCI_X86 \
                      VXW_X86_MAP_ADD \
                      MAX_BTA \
                      IRQ_OFFSET \
                      vxwdebug
        INIT_RTN      mapCondorPCIAddress(); 
        _INIT_ORDER   usrInit
        INIT_BEFORE   INCLUDE_KERNEL

}

Component INCLUDE_AVIO_PCI_INSTALL {
        NAME          Abaco Systems Avionics Board Installation
        SYNOPSIS      Include this option to install Abaco Systems Avionics PCI/PMC Boards
        HDR_FILES     lowlevel.h \
                      CondorVXWRTPDrv.h \
                      ./drv/pci/pciConfigLib.h
        CONFIGLETTES  CondorVxWRTPDrv.c
        REQUIRES      INCLUDE_PCI_PARAMS
        CFG_PARAMS    VXW_PCI_X86 \
                      vxwdebug
        INIT_RTN      gefesInitPCI(); 
        _INIT_ORDER   usrRoot
}

Parameter VXW_PCI_X86 {
        NAME          Define PCI Compile for x86 and Pentium
        TYPE          exists
        DEFAULT       TRUE
}

Parameter VXW_X86_MAP_ADD {
        NAME          Adds device memory into the sysPhysMemDesc table
        TYPE          exists
        DEFAULT       TRUE
}

Parameter vxwdebug {
        NAME          Enables debug print. Options: 0=print-off - 1=print-on
        TYPE          uint
        DEFAULT       0
}

Parameter IRQ_OFFSET {
        NAME          IRQ Offset require by some BSPs.  Default = 0;
        TYPE          uint
        DEFAULT       0
}

Parameter MAX_BTA {
        NAME          Defines maximum number of devices - Default 4
        TYPE          uint
        DEFAULT       4
        SYNOPSIS      This parameter specifies the maximum number of devices.  For non-1553 cards, this represents the maximum number of boards in the system.  For 1553 cards, this refers to the number of logical devices (channels) on all 1553 boards in the system.  The default is four (4). This allows one 4-channel board or four 1-channel boards for example.  If your system needs to support more channels, then increase this value.
}
