/* 
Copyright 2016 Abaco Systems, Inc.

modification history
--------------------
17 Mar 2009 	Created
02 Sep 2016     Rebranded

DESCRIPTION

This file contains descriptions for the Abaco Systems Avionics ISA installation


*/

Folder FOLDER_GEIP_X86_ISA {
       NAME        Abaco Systems ISA Avionics Boards
       _CHILDREN   FOLDER_HARDWARE
       CHILDREN    INCLUDE_AVIO_ISA
       DEFAULTS    INCLUDE_AVIO_ISA
}

Component INCLUDE_AVIO_ISA {
        NAME          Abaco Systems ISA Installation
        SYNOPSIS      Include this option to install Abaco Systems ISA Boards
        HDR_FILES     lowlevel.h \
                      prjParams.h \
                      ./drv/pci/pciConfigLib.h
        CONFIGLETTES  mem_vxworks.c
        REQUIRES      INCLUDE_PCI_PARAMS
        CFG_PARAMS    _ISA_BOARD_ \
                      isa_base_addr1 \
                      isa_base_addr2 \
                      isa_base_addr3 \
                      isa_base_addr4 \
                      isa_irq1 \
                      isa_irq2 \
                      isa_irq3 \
                      isa_irq4        
        _INIT_ORDER   usrInit
        INIT_BEFORE   INCLUDE_KERNEL  
        INIT_RTN      mapCondorPCIAddress(0);
}

Parameter _ISA_BOARD_ {
        NAME          Define ISA Board
        TYPE          exists
        DEFAULT       TRUE
}

Parameter isa_base_addr1 {
        NAME          ISA Base address for board 1
        TYPE          uint
        DEFAULT       0xD0000
}

Parameter isa_base_addr2 {
        NAME          ISA Base address for board 2
        TYPE          uint 
        DEFAULT       0x0
} 

Parameter isa_base_addr3 {
        NAME          ISA Base address for board 3
        TYPE          uint
        DEFAULT       0x0
} 

Parameter isa_base_addr4 {
        NAME          ISA Base address for board 4
        TYPE          uint
        DEFAULT       0x0
}

Parameter isa_irq1 {
        NAME          ISA irq for board 1
        TYPE          uint
        DEFAULT       0x7
}

Parameter isa_irq2 {
        NAME          ISA irq for board 2
        TYPE          uint
        DEFAULT       0x0
}

Parameter isa_irq3 {
        NAME          ISA irq for board 3
        TYPE          uint
        DEFAULT       0x0
}

Parameter isa_irq4 {
        NAME          ISA irq for board 4
        TYPE          uint
        DEFAULT       0x0
}   