/* 
Copyright 2016 Abaco Systems, Inc.

modification history
--------------------
7 June 2004 	Created
15 Jan 2007     Modified for VxWorks 6.3 RTP Driver
25 Feb 2008     Unify KM and RTP options
02 Sep 2016     Rebranded

DESCRIPTION

This file contains descriptions for the Abaco Systems PCI/PMC installation


*/

Folder FOLDER_GEIP_X86 {
       NAME        Abaco Systems Avionics Board Installation
       _CHILDREN   FOLDER_HARDWARE
       CHILDREN    INCLUDE_AVIO_PCI_INSTALL 
       DEFAULTS    INCLUDE_AVIO_PCI_INSTALL
}

Component INCLUDE_AVIO_PCI_INSTALL {
        NAME          Abaco Systems Avionics Board Installation
        SYNOPSIS      Include this option to install Abaco Systems Avionics PCI/PMC Boards
        HDR_FILES     lowlevel.h \
                      CondorVXWRTPDrv.h \
                      ./drv/pci/pciConfigLib.h
        CONFIGLETTES  CondorVxWRTPDrv.c
        REQUIRES      INCLUDE_PCI_PARAMS
        CFG_PARAMS    VXW_PCI_X86 \
                      VXW_X86_MAP_ADD \
                      SPIN_LOCK_PROTECT \
                      MAX_BTA \
                      IRQ_OFFSET \
                      vxwdebug
        INIT_RTN      gefesInitPCI();  
        _INIT_ORDER   usrRoot
}

Parameter VXW_PCI_X86 {
        NAME          Define PCI Compile for x86 and Pentium
        TYPE          exists
        DEFAULT       TRUE
        SYNOPSIS      This define is set when building the API for pcPentium SBCs
}

Parameter VXW_X86_MAP_ADD {
        NAME          Adds device memory into the sysPhysMemDesc table
        TYPE          exists
        DEFAULT       FALSE
        SYNOPSIS      The memory regions for the board need to be manually added to the sysPhysMemDesc table early during the boot process.  This defines enables adding board memory regions to that table.  All versions pcPentium require this call up to VxWorks 6.6.  If you are using VxWorks 6.6 or higher this is no longer required.  The default if TRUE.  For VxWorks 6.6 or higher set to FALSE.  
}

Parameter vxwdebug {
        NAME          Enables debug print. Options: 0=print-off - 1=print-on
        TYPE          uint
        DEFAULT       0
        SYNOPSIS      Setting this option to 1 will provide debug prints during boot and initialization.  The default is zero (0).  Set this to one (1) if you need to debug the boot or initialization process.

}

Parameter IRQ_OFFSET {
        NAME          Option IRQ offset. Required by some BSPs. Default = 0
        TYPE          uint
        DEFAULT       0
        SYNOPSIS      Some BSPs require an offset added to the IRQ value set in the PCI Configuration register.  The default is zero (0).  If your BSP specifies an offset, set this parameter to that offset value.
}

Parameter SPIN_LOCK_PROTECT {
        NAME          For VxWorks 6.6. Adds Spinlocks for SMP processing
        TYPE          exists
        DEFAULT       FALSE
        SYNOPSIS      Use this when you are using SMP to place Spinlocks around critical sections of code.  Spin locks only apply to VxWorks 6.6 or higher running on multi-processor systems.
}