/* 
Copyright 2017 - 2019 Abaco Systems, Inc.

modification history
   Date    By   Modifications
 --------  ---  ---------------------------------------------------------------------------------------------------
 10/23/17  BDW  Initial
 06/04/19  BCH  Added vxbDevMethodRun to the LINK_SYMS property of the VxBus driver component.
 08/26/19  BCH  Added component INCLUDE_AVIO_IO_DRV to support RTP.
 10/18/19  BCH 
 

DESCRIPTION

This file contains descriptions for the Abaco Systems avionics board installation

*/

Folder FOLDER_AVIO_VXB {
       NAME        Abaco Systems VxBus Driver for Avionics Boards
       _CHILDREN   FOLDER_HARDWARE
       CHILDREN    INCLUDE_AVIO_DRV INCLUDE_AVIO_DRV_IO
       DEFAULTS    INCLUDE_AVIO_DRV
}

Component INCLUDE_AVIO_DRV {
        NAME          Abaco Systems VxBus Avionics Driver
        SYNOPSIS      Add the VxBus driver for Avionics I/O boards
        MODULES       avioVxwDrv.o
        HDR_FILES     avioVxwDrv.h
        LINK_SYMS     vxbDevMethodRun
        PROTOTYPE     STATUS avioDrvInit(void);
        REQUIRES      INCLUDE_VXBUS 
        INIT_RTN      avioDrvInit();
        INIT_AFTER    INCLUDE_PCI_BUS
        _INIT_ORDER   usrIosCoreInit
}

Component INCLUDE_AVIO_DRV_IO {
        NAME          Abaco Systems Avionics VxBus IO Driver
        SYNOPSIS      Enable the VxBus IO driver for RTP support
        MODULES       avioVxwIoDrv.o
        HDR_FILES     avioVxwDrv.h
        PROTOTYPE     STATUS avioIoDrvInit(void);
        REQUIRES      INCLUDE_VXBUS
        LINK_SYMS     avioIoDrvInit
        INIT_RTN      avioIoDrvInit();
        INIT_AFTER    INCLUDE_PCI_BUS
        _INIT_ORDER   usrIosExtraInit
}

/*
Component AVIO_DRV_IO {
        NAME          Abaco Systems Avionics VxBus IO Driver
        SYNOPSIS      Enable the VxBus IO driver for RTP support
        MODULES       avioVxwDrv.o
        HDR_FILES     avioVxwDrv.h
        PROTOTYPE     STATUS avioIoDrvInit(void);
        REQUIRES      INCLUDE_VXBUS
        LINK_SYMS     avioIoDrvInit
        INIT_RTN      avioIoDrvInit();
        INIT_AFTER    INCLUDE_PCI_BUS
        _INIT_ORDER   usrIosExtraInit
}

Parameter AVIO_X86 {
        NAME          Enable little endian to bit endian conversion
        TYPE          exists
        DEFAULT       TRUE
        SYNOPSIS      Enabling selects endian conversion for Intel processors
}

Parameter AVIO_PPC {
        NAME          Enable big endian to little endian conversion
        TYPE          exists
        DEFAULT       FALSE
        SYNOPSIS      Enabling selects endian conversion for PPC processors
}

Parameter AVIO_SPIN_LOCK_PROTECT {
        NAME          Use a spinlock
        TYPE          exists
        DEFAULT       FALSE
        SYNOPSIS      Use a spinlock in avio driver
}

Parameter AVIO_DKM {
        NAME          Enable DKM support
        TYPE          exists
        DEFAULT       FALSE
        SYNOPSIS      Enabling will include DKM support when RTP is enabled
}
*/